Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetChatAvailableReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetChatAvailableReactions

Enclosing class:
  TdApi

public static final class TdApi.SetChatAvailableReactions extends TdApi.Function<TdApi.Ok>
Changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.ChatAvailableReactions`
`availableReactions`
Reactions available in the chat.
`long`
`chatId`
Identifier of the chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.

## Constructor Summary

Constructors
Constructor
Description
`SetChatAvailableReactions()`
Changes reactions, available in a chat.
`SetChatAvailableReactions(long chatId, TdApi.ChatAvailableReactions availableReactions)`
Changes reactions, available in a chat.
`SetChatAvailableReactions(DataInput input)`
Changes reactions, available in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat.

### availableReactions

public TdApi.ChatAvailableReactions availableReactions
Reactions available in the chat. All explicitly specified emoji reactions must be active. In channel chats up to the chat's boost level custom emoji reactions can be explicitly specified.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetChatAvailableReactions

public SetChatAvailableReactions()
Changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

Returns `Ok`

### SetChatAvailableReactions

public SetChatAvailableReactions(long chatId, TdApi.ChatAvailableReactions availableReactions)
Changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

Returns `Ok`

Parameters:
  `chatId` - Identifier of the chat.
  `availableReactions` - Reactions available in the chat. All explicitly specified emoji reactions must be active. In channel chats up to the chat's boost level custom emoji reactions can be explicitly specified.

  Returns `Ok`

### SetChatAvailableReactions

public SetChatAvailableReactions(DataInput input) throws IOException
Changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`